<?
define('PROTECTOR', 1);

$head = 'adm_panel';//фикс. места

$textl='Админ-панель';
@include('files/db.php');
@include('files/auth.php');
@include('files/func.php');
@include('files/core.php');
@include('files/head.php');
@include('files/zag.php');

if($udata[prava]<4){
echo'Доступ закрыт!';
@include('files/down.php');
exit;
}

switch($_GET[mod]){

default:
echo"Здесь находятся кейсы<br/>";
break;
case '1':
if(empty($_POST[user])){
echo "<form action='cpanel.php?mod=1' method='POST'>";
echo"Введите ник игрока:<br/>
<input class='input' type=\"text\" value=\"$_GET[usr]\" size=\"20\" name=\"user\"/><br/>";
echo '<input class="button" type="submit" value="Изменить" /></form>';}
elseif(empty($_POST[usr])){
$_POST[user] = htmlspecialchars(stripslashes(addslashes($_POST['user'])));
$b = mysql_query("SELECT * FROM `users` WHERE `usr` = '$_POST[user]'");
$b = mysql_fetch_array($b);
echo '<form action="cpanel.php?mod=edit&user='.$_POST[user].'" method="post">';
echo"Ник:<br/>
<input class='input' type=\"text\" value=\"$b[usr]\" size=\"20\" name=\"usr\"/><br/>
id:<br/>
<input class='input' type=\"text\" value=\"$b[id]\" size=\"20\" name=\"id\"/><br/>
E-mail:<br/>
<input class='input' type=\"text\" value=\"$b[email]\" size=\"20\" name=\"email\"/><br/>
Пол (m или w):<br/>
<input class='input' type=\"text\" value=\"$b[pol]\" size=\"1\" name=\"pol\"/><br/>
Права (0-5):<br/>
<input class='input' type=\"text\" value=\"$b[prava]\" size=\"1\" name=\"prava\"/><br/>
Сторона: (white,black)<br/>
<input class='input' type=\"text\" value=\"$b[storona]\" size=\"20\" name=\"storona\"/><br/>
Уровень:<br/>
<input class='input' type=\"text\" value=\"$b[lvl]\" size=\"20\" name=\"lvl\"/><br/>
Скилы:<br/>
<input class='input' type=\"text\" value=\"$b[skill]\" size=\"20\" name=\"skill\"/><br/>
Монеты:<br/>
<input class='input' type=\"text\" value=\"$b[money]\" size=\"20\" name=\"money\"/><br/>
Алмазы:<br/>
<input class='input' type=\"text\" value=\"$b[almaz]\" size=\"20\" name=\"almaz\"/><br/>
Сила:<br/>
<input class='input' type=\"text\" value=\"$b[sila]\" size=\"20\" name=\"sila\"/><br/>
Ловкость:<br/>
<input class='input' type=\"text\" value=\"$b[lovk]\" size=\"20\" name=\"lovk\"/><br/>
Защита:<br/>
<input class='input' type=\"text\" value=\"$b[prot]\" size=\"20\" name=\"prot\"/><br/>
Крит:<br/>
<input class='input' type=\"text\" value=\"$b[krit]\" size=\"20\" name=\"krit\"/><br/>
Крит-Урон:<br/>
<input class='input' type=\"text\" value=\"$b[ukrit]\" size=\"20\" name=\"ukrit\"/><br/>

Опыт:<br/>
<input class='input' type=\"text\" value=\"$b[exp]\" size=\"20\" name=\"exp\"/><br/>
Клан:<br/>
<input class='input' type=\"text\" value=\"$b[clan]\" size=\"20\" name=\"clan\"/><br/>
Город(fornost,izmud):<br/>
<input class='input' type=\"text\" value=\"$b[city]\" size=\"20\" name=\"city\"/><br/>
id рефера:<br/>
<input class='input' type=\"text\" value=\"$b[ref]\" size=\"10\" name=\"ref\"/><br/>
Аватар:<br/>
<input class='input' type=\"text\" value=\"$b[avatar]\" size=\"20\" name=\"avatar\"/><br/>
Должность в клане (lider,general,user):<br/>
<input class='input' type=\"text\" value=\"$b[dolz]\" size=\"20\" name=\"dolz\"/><br/>
<input class=\"button\" type=\"submit\" value=\"Изменить\" /></form>";
}break;
case 'edit':
if(empty($_GET[user])){echo"Ошибочка.";}else{
mysql_query("UPDATE `users` SET
        `usr` = '$_POST[usr]',
        `id` = '$_POST[id]',
        `email` = '$_POST[email]',
        `pol` = '$_POST[pol]',
        `prava` = '$_POST[prava]',
        `storona` = '$_POST[storona]',
        `lvl` = '$_POST[lvl]',
        `skill` = '$_POST[skill]',
        `money` = '$_POST[money]',
        `almaz` = '$_POST[almaz]',
        `sila` = '$_POST[sila]',
        `lovk` = '$_POST[lovk]',
        `prot` = '$_POST[prot]',
        `krit` = '$_POST[krit]',
        `ukrit` = '$_POST[ukrit]',
        `exp` = '$_POST[exp]',
        `clan` = '$_POST[clan]',
        `city` = '$_POST[city]',
        `ref` = '$_POST[ref]',
        `avatar` = '$_POST[avatar]',
        `dolz` = '$_POST[dolz]' WHERE `usr`='$_GET[user]' LIMIT 1") or die (mysql_error());
echo"Изменения приняты!</br><a href=\"adm_panel.php?\">Назад</a>";
}
break;
case '2':
if(empty($_POST[ip])){
echo "<form action='cpanel.php?mod=2' method='POST'>";
echo"Введите ip:<br/>
<input class='input' type=\"text\" value=\"$_GET[ip]\" size=\"20\" name=\"ip\"/><br/>";
echo '<input class="button" type="submit" value="Найти" /></form>';
}else{
if(!empty($_GET[ip])){$_POST[ip] = $_GET[ip];}
$req = mysql_query("SELECT * FROM `users` WHERE `ip`='$_POST[ip]'");
$avto=mysql_num_rows($req);
$i=1;
if($avto>=1){echo"<b>$_POST[ip]</b></br>(Всего аккаунтов с таким ip <b>$avto</b>)</br>";
While($item = mysql_fetch_array($req))
{
echo"$i. <a href=\"search.php?nick=$item[usr]&amp;go=go\">$item[usr]</a>";
echo" [<a href=\"adm_panel.php?mod=10&usr=$item[usr]\">забанить.</a>]</br>";$i++;}}}break;

case '3':
if(empty($_POST[name])){echo '<form action="cpanel.php?mod=3" method="post">';
echo "Комплект:<br/>
<input class='input' type=\"text\" value=\"$_GET[kom]\" size=\"20\" name=\"kom\"/><br/>";
echo"Тип:<br/><select name=\"tip\">
<option value=\"weapon\">Оружие</option>
<option value=\"golova\">Шлем</option>
<option value=\"body\">Доспехи</option>
<option value=\"ruki\">Рукавицы</option>
<option value=\"nogi\">Сапоги</option>
<option value=\"plash\">Плащ</option>
<option value=\"poyas\">Пояс</option>
<option value=\"shit\">Щит</option>
<option value=\"amulet\">Амулет</option>
<option value=\"kolco\">Кольцо</option>
</select><br/>";
echo"Имя<br/>
<input class='input' type=\"text\" size=\"20\" name=\"name\"/><br/>
Урон<br/>
<input class='input' type=\"text\" size=\"10\" name=\"sila\"/><br/>
Защита<br/>
<input class='input' type=\"text\" size=\"10\" name=\"prot\"/><br/>
Ловкость<br/>
<input class='input' type=\"text\" size=\"10\" name=\"lovk\"/><br/>
Бонус здоровья<br/>
<input class='input' type=\"text\" size=\"10\" name=\"hp\"/><br/>
Бонус маны<br/>
<input class='input' type=\"text\" size=\"10\" name=\"mp\"/><br/>
Бонус крит<br/>
<input class='input' type=\"text\" size=\"10\" name=\"krit\"/><br/>
Бонус урон-крит<br/>
<input class='input' type=\"text\" size=\"10\" name=\"ukrit\"/><br/>
Требуемый уровень<br/>
<input class='input' type=\"text\" size=\"10\" name=\"nlvl\"/><br/>";
echo '<input class="button" type="submit" value="Создать" /></form>';
}else{
if(empty($_POST[protect])){$_POST[protect]=0;}
if(empty($_POST[hp])){$_POST[hp]=0;}
if(empty($_POST[mp])){$_POST[mp]=0;}
if(empty($_POST[krit])){$_POST[krit]=0;}
if(empty($_POST[ukrit])){$_POST[ukrit]=0;}
if(empty($_POST[sila])){$_POST[sila]=0;}
if(empty($_POST[lovk])){$_POST[lovk]=0;}
if(empty($_POST[prot])){$_POST[prot]=0;}
if(empty($_POST[nlvl])){$_POST[nlvl]=0;}
$sena = ($_POST[uron]+$_POST[prot]+$_POST[lovk]+$_POST[sila]+$_POST[hp]+$_POST[mp]+$_POST[krit]+$_POST[ukrit])*20;
$sena = ceil($sena/1000);
mysql_query("INSERT INTO
        `arti` SET
        `tip` = '$_POST[tip]',
        `name` = '$_POST[name]',
        `cena` = '$sena',
        `kompl` = '$_POST[kom]',
        `hp` = '$_POST[hp]',
        `mp` = '$_POST[mp]',
        `krit` = '$_POST[krit]',
        `ukrit` = '$_POST[ukrit]',
        `sila` = '$_POST[sila]',
        `lovk` = '$_POST[lovk]',
        `prot` = '$_POST[prot]',
        `nlvl` = '$_POST[nlvl]'") or die (mysql_error());
echo'Арт '.$_POST[name].' создан!<br/>';}
echo"<a href=\"cpanel.php?mod=3\">Назад</a>";
break;

case '4':
if(empty($_POST[name])){
echo '<form action="cpanel.php?mod=4" method="post">';
echo "Комплект:<br/>
<input class='input' type=\"text\" value=\"$_GET[kom]\" size=\"20\" name=\"kom\"/><br/>";
echo"Тип:<br/><select name=\"tip\">
<option value=\"weapon\">Оружие</option>
<option value=\"golova\">Шлем</option>
<option value=\"body\">Доспехи</option>
<option value=\"ruki\">Рукавицы</option>
<option value=\"nogi\">Сапоги</option>
<option value=\"plash\">Плащ</option>
<option value=\"poyas\">Пояс</option>
<option value=\"shit\">Щит</option>
<option value=\"amulet\">Амулет</option>
<option value=\"kolco\">Кольцо</option>
</select><br/>";
echo"Имя<br/>
<input class='input' type=\"text\" size=\"20\" name=\"name\"/><br/>
Урон<br/>
<input class='input' type=\"text\" size=\"10\" name=\"sila\"/><br/>
Защита<br/>
<input class='input' type=\"text\" size=\"10\" name=\"prot\"/><br/>
Ловкость<br/>
<input class='input' type=\"text\" size=\"10\" name=\"lovk\"/><br/>
Бонус здоровья<br/>
<input class='input' type=\"text\" size=\"10\" name=\"hp\"/><br/>
Бонус маны<br/>
<input class='input' type=\"text\" size=\"10\" name=\"mp\"/><br/>
Бонус крит<br/>
<input class='input' type=\"text\" size=\"10\" name=\"krit\"/><br/>
Бонус урон-крит<br/>
<input class='input' type=\"text\" size=\"10\" name=\"ukrit\"/><br/>
Требуемый уровень<br/>
<input class='input' type=\"text\" size=\"10\" name=\"nlvl\"/><br/>";
echo '<input class="button" type="submit" value="Создать" /></form>';
}else{
if(empty($_POST[protect])){$_POST[protect]=0;}
if(empty($_POST[hp])){$_POST[hp]=0;}
if(empty($_POST[mp])){$_POST[mp]=0;}
if(empty($_POST[krit])){$_POST[krit]=0;}
if(empty($_POST[ukrit])){$_POST[ukrit]=0;}
if(empty($_POST[sila])){$_POST[sila]=0;}
if(empty($_POST[lovk])){$_POST[lovk]=0;}
if(empty($_POST[prot])){$_POST[prot]=0;}
if(empty($_POST[nlvl])){$_POST[nlvl]=0;}
$sena = ($_POST[uron]+$_POST[prot]+$_POST[lovk]+$_POST[sila]+$_POST[hp]+$_POST[mp]+$_POST[krit]+$_POST[ukrit])*10;
mysql_query("INSERT INTO
        `shops` SET
        `tip` = '$_POST[tip]',
        `name` = '$_POST[name]',
        `cena` = '$sena',
        `kompl` = '$_POST[kom]',
        `hp` = '$_POST[hp]',
        `mp` = '$_POST[mp]',
        `krit` = '$_POST[krit]',
        `ukrit` = '$_POST[ukrit]',
        `sila` = '$_POST[sila]',
        `lovk` = '$_POST[lovk]',
        `prot` = '$_POST[prot]',
        `nlvl` = '$_POST[nlvl]'") or die (mysql_error());
echo'Вещь '.$_POST[name].' создана!<br/>';}
echo"<a href=\"cpanel.php?mod=4\">Назад</a>";
break;

case '5':
if(empty($_POST[name])){
echo '<form action="cpanel.php?mod=5" method="post">';
echo"Имя<br/>
<input class='input' type=\"text\" size=\"10\" name=\"name\"/><br/>
Уровень<br/>
<input class='input' type=\"text\" size=\"10\" name=\"lvl\"/><br/>
Урон<br/>
<input class='input' type=\"text\" size=\"10\" name=\"uron\"/><br/>
Здоровья<br/>
<input class='input' type=\"text\" size=\"10\" name=\"hp\"/><br/>
Защита<br/>
<input class='input' type=\"text\" size=\"10\" name=\"prot\"/><br/>
Шанс крита(%)<br/>
<input class='input' type=\"text\" size=\"10\" name=\"krit\"/><br/>
Урон-крита(%)<br/>
<input class='input' type=\"text\" size=\"10\" name=\"ukrit\"/><br/>
Ловкость<br/>
<input class='input' type=\"text\" size=\"10\" name=\"lovk\"/><br/>
Кол. монет:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"money\"/><br/>
Опыта:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"exp\"/><br/>
Место:<br/>
<input class='input' type=\"text\" value=\"$_GET[b]\" size=\"10\" name=\"bitva\"/><br/>";
echo '<input class="button" type="submit" value="Создать" /></form>';
}else{mysql_query("INSERT INTO
        `mobs` SET
        `name` = '$_POST[name]',
        `lvl` = '$_POST[lvl]',
        `hp` = '$_POST[hp]',
        `hpall` = '$_POST[hp]',
        `uron` = '$_POST[uron]',
        `prot` = '$_POST[prot]',
        `krit` = '$_POST[krit]',
        `ukrit` = '$_POST[ukrit]',
        `lovk` = '$_POST[lovk]',
        `money` = '$_POST[money]',
        `exp` = '$_POST[exp]',
        `status` = 'on',
        `tip` = 'life',
        `bitva` = '$_POST[bitva]'");
echo'Монстр '.$_POST[name].' создан! Чтобы создать точно такого же рядом ОБНОВИТЕ СТРАНИЦУ!<br/>';}
echo'<a href="javascript:history.go(-1)">Назад</a>';break;

case '6':
if(empty($_GET[id])){
echo"Ошибка невыбран монстр!";
@include('files/down.php');exit;}
$req = mysql_query("SELECT * FROM `mobs` WHERE `id`='$_GET[id]' LIMIT 1");
if (mysql_num_rows($req)==0){echo"Такого монстра не существует.";@include('files/down.php');exit;}
$mob = mysql_fetch_array($req);
if(empty($_POST[name])){
echo '<form action="cpanel.php?mod=6&amp;id='.$_GET[id].'" method="post">';
echo"Имя<br/>
<input class='input' type=\"text\" value=\"$mob[name]\" size=\"10\" name=\"name\"/><br/>
Уровень<br/>
<input class='input' type=\"text\" value=\"$mob[lvl]\" size=\"10\" name=\"lvl\"/><br/>
Урон<br/>
<input class='input' type=\"text\" value=\"$mob[uron]\" size=\"10\" name=\"uron\"/><br/>
Здоровья<br/>
<input class='input' type=\"text\" value=\"$mob[hpall]\" size=\"10\" name=\"hp\"/><br/>
Защита<br/>
<input class='input' type=\"text\" value=\"$mob[prot]\" size=\"10\" name=\"prot\"/><br/>
Шанс крита(%)<br/>
<input class='input' type=\"text\" value=\"$mob[krit]\" size=\"10\" name=\"krit\"/><br/>
Урон-крита(%)<br/>
<input class='input' type=\"text\" value=\"$mob[ukrit]\" size=\"10\" name=\"ukrit\"/><br/>
Ловкость<br/>
<input class='input' type=\"text\" value=\"$mob[lovk]\" size=\"10\" name=\"lovk\"/><br/>
Кол. монет:<br/>
<input class='input' type=\"text\" value=\"$mob[money]\" size=\"10\" name=\"money\"/><br/>
Опыта:<br/>
<input class='input' type=\"text\" value=\"$mob[exp]\" size=\"10\" name=\"exp\"/><br/>
Место:<br/>
<input class='input' type=\"text\" value=\"$mob[bitva]\" size=\"10\" name=\"bitva\"/><br/>";
echo '<input class="button" type="submit" value="Изменить" /></form>';}else{
mysql_query("UPDATE `mobs` SET
        `name` = '$_POST[name]',
        `lvl` = '$_POST[lvl]',
        `hp` = '$_POST[hp]',
        `hpall` = '$_POST[hp]',
        `uron` = '$_POST[uron]',
        `prot` = '$_POST[prot]',
        `krit` = '$_POST[krit]',
        `ukrit` = '$_POST[ukrit]',
        `lovk` = '$_POST[lovk]',
        `money` = '$_POST[money]',
        `exp` = '$_POST[exp]',
        `bitva` = '$_POST[bitva]' WHERE `id`='$mob[id]' and `name` = '$mob[name]'") or die (mysql_error());
echo'Монстр '.$_POST[name].' изменён!<br/>';}
echo"<a href=\"adm_panel.php?mod=6&b=$mob[bitva]\">Назад</a>";
break;

case '7':
if(empty($_POST[name])){
echo '<form action="cpanel.php?mod=7" method="post">';
echo"Имя<br/>
<input class='input' type=\"text\" size=\"10\" name=\"name\"/><br/>
Ава<br/>
<input class='input' type=\"text\" size=\"10\" name=\"ava\"/><br/>
Цена алмазов<br/>
<input class='input' type=\"text\" size=\"10\" name=\"acena\"/><br/>
Цена монет<br/>
<input class='input' type=\"text\" size=\"10\" name=\"cena\"/><br/>
Сила<br/>
<input class='input' type=\"text\" size=\"10\" name=\"sila\"/><br/>
Защита<br/>
<input class='input' type=\"text\" size=\"10\" name=\"protect\"/><br/>
Ловкость<br/>
<input class='input' type=\"text\" size=\"10\" name=\"lovk\"/><br/>
Бонус здоровья<br/>
<input class='input' type=\"text\" size=\"10\" name=\"hp\"/><br/>
Бонус маны<br/>
<input class='input' type=\"text\" size=\"10\" name=\"mp\"/><br/>
Бонус крит<br/>
<input class='input' type=\"text\" size=\"10\" name=\"krit\"/><br/>
Бонус урон-крит<br/>
<input class='input' type=\"text\" size=\"10\" name=\"ukrit\"/><br/>
Требуемый уровень<br/>
<input class='input' type=\"text\" size=\"10\" name=\"nlvl\"/><br/>
Время действия(в минутах)<br/>
<input class='input' type=\"text\" size=\"10\" name=\"actime\"/><br/>";
echo '<input class="button" type="submit" value="Создать" /></form>';}else{
$ak=$_POST[actime]*60;
mysql_query("INSERT INTO
        `shop_aura` SET
        `name` = '$_POST[name]',
        `ava` = '$_POST[ava]',
        `acena` = '$_POST[acena]',
        `cena` = '$_POST[cena]',
        `sila` = '$_POST[sila]',
        `protect` = '$_POST[protect]',
        `lovk` = '$_POST[lovk]',
        `hp` = '$_POST[hp]',
        `mp` = '$_POST[mp]',
        `krit` = '$_POST[krit]',
        `ukrit` = '$_POST[ukrit]',
        `actime` = '$ak',
        `nlvl` = '$_POST[nlvl]'") or die (mysql_error());
echo'Аура '.$_POST[name].' создана!<br/>';}
echo"<a href=\"adm_panel.php?\">Назад</a>";
break;

case '8':
if(empty($_POST[name])){
echo '<form action="cpanel.php?mod=8" method="post">';
echo"Имя<br/>
<input class='input' type=\"text\" size=\"10\" name=\"name\"/><br/>
Уровень<br/>
<input class='input' type=\"text\" size=\"10\" name=\"lvl\"/><br/>
Урон<br/>
<input class='input' type=\"text\" size=\"10\" name=\"uron\"/><br/>
Здоровья<br/>
<input class='input' type=\"text\" size=\"10\" name=\"hp\"/><br/>
Защита<br/>
<input class='input' type=\"text\" size=\"10\" name=\"prot\"/><br/>
Шанс крита(%)<br/>
<input class='input' type=\"text\" size=\"10\" name=\"krit\"/><br/>
Урон-крита(%)<br/>
<input class='input' type=\"text\" size=\"10\" name=\"ukrit\"/><br/>
Ловкость<br/>
<input class='input' type=\"text\" size=\"10\" name=\"lovk\"/><br/>
Кол. монет:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"money\"/><br/>
Опыта:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"exp\"/><br/>
Кол-во дропа максимум:<br/>
<input class='input' type=\"text\" value=\"$_GET[b]\" size=\"10\" name=\"drop\"/><br/>";
echo '<input class="button" type="submit" value="Создать" /></form>';
}else{mysql_query("INSERT INTO
        `boss` SET
        `name` = '$_POST[name]',
        `lvl` = '$_POST[lvl]',
        `hp` = '$_POST[hp]',
        `hpall` = '$_POST[hp]',
        `uron` = '$_POST[uron]',
        `prot` = '$_POST[prot]',
        `krit` = '$_POST[krit]',
        `ukrit` = '$_POST[ukrit]',
        `lovk` = '$_POST[lovk]',
        `money` = '$_POST[money]',
        `exp` = '$_POST[exp]',
        `status` = 'on',
        `tip` = 'boss',
        `drop` = '$_POST[drop]'");
echo'Босс '.$_POST[name].' создан! <br>';}
echo'<a href="javascript:history.go(-1)">Назад</a>';break;

case '9':
if(empty($_GET[id])){
echo"Ошибка невыбран монстр!";
@include('files/down.php');exit;}
$req = mysql_query("SELECT * FROM `boss` WHERE `id`='$_GET[id]' LIMIT 1");
if (mysql_num_rows($req)==0){echo"Такого монстра не существует.";
@include('files/down.php');exit;}
$mob = mysql_fetch_array($req);
if(empty($_POST[name])){
echo '<form action="cpanel.php?mod=9&amp;id='.$_GET[id].'" method="post">';
echo"Имя<br/>
<input class='input' type=\"text\" value=\"$mob[name]\" size=\"10\" name=\"name\"/><br/>
Уровень<br/>
<input class='input' type=\"text\" value=\"$mob[lvl]\" size=\"10\" name=\"lvl\"/><br/>
Урон<br/>
<input class='input' type=\"text\" value=\"$mob[uron]\" size=\"10\" name=\"uron\"/><br/>
Здоровья<br/>
<input class='input' type=\"text\" value=\"$mob[hpall]\" size=\"10\" name=\"hp\"/><br/>
Защита<br/>
<input class='input' type=\"text\" value=\"$mob[prot]\" size=\"10\" name=\"prot\"/><br/>
Шанс крита(%)<br/>
<input class='input' type=\"text\" value=\"$mob[krit]\" size=\"10\" name=\"krit\"/><br/>
Урон-крита(%)<br/>
<input class='input' type=\"text\" value=\"$mob[ukrit]\" size=\"10\" name=\"ukrit\"/><br/>
Ловкость<br/>
<input class='input' type=\"text\" value=\"$mob[lovk]\" size=\"10\" name=\"lovk\"/><br/>
Кол. монет:<br/>
<input class='input' type=\"text\" value=\"$mob[money]\" size=\"10\" name=\"money\"/><br/>
Опыта:<br/>
<input class='input' type=\"text\" value=\"$mob[exp]\" size=\"10\" name=\"exp\"/><br/>
Дроп:<br/>
<input class='input' type=\"text\" value=\"$mob[drop]\" size=\"10\" name=\"bitva\"/><br/>";
echo '<input class="button" type="submit" value="Изменить" /></form>';}else{
mysql_query("UPDATE `boss` SET
        `name` = '$_POST[name]',
        `lvl` = '$_POST[lvl]',
        `hp` = '$_POST[hp]',
        `hpall` = '$_POST[hp]',
        `uron` = '$_POST[uron]',
        `prot` = '$_POST[prot]',
        `krit` = '$_POST[krit]',
        `ukrit` = '$_POST[ukrit]',
        `lovk` = '$_POST[lovk]',
        `money` = '$_POST[money]',
        `exp` = '$_POST[exp]',
        `drop` = '$_POST[bitva]' WHERE `id`='$mob[id]' and `name` = '$mob[name]'") or die (mysql_error());
echo'Босс '.$_POST[name].' изменён!<br/>';}
echo"<a href=\"adm_panel.php?mod=30\">Назад</a>";
break;

break;
}
include('files/down.php');
?>